<VirtualHost *:80>
ServerName downloads.scummvm.org
RewriteEngine on
RewriteCond %{SERVER_NAME} =downloads.scummvm.org
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<VirtualHost *:443>
ServerName downloads.scummvm.org
ServerAdmin admin@scummvm.org
DocumentRoot /var/www/html

ErrorLog ${APACHE_LOG_DIR}/downloads_error.log
CustomLog ${APACHE_LOG_DIR}/downloads_access.log combined

Alias /frs /.0/frs
<Directory /.0/frs>
  Require all granted
  Options Indexes FollowSymLinks MultiViews
  IndexOptions FancyIndexing FoldersFirst
  Header set Surrogate-Control "max-age=86400, stale-while-revalidate=60"
</Directory>

Include /etc/letsencrypt/options-ssl-apache.conf
SSLCertificateFile /etc/letsencrypt/live/downloads.scummvm.org-0001/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/downloads.scummvm.org-0001/privkey.pem
</VirtualHost>
